project(sokol)

set(SRC_FILES)
retrieve_files(${CMAKE_CURRENT_SOURCE_DIR} SRC_FILES)

add_library(${PROJECT_NAME} STATIC ${SRC_FILES})
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

if (WIN32)
    target_compile_definitions(${PROJECT_NAME} PUBLIC -DSOKOL_D3D11)
    target_link_libraries(${PROJECT_NAME} PUBLIC d3d11 dxgi)
elseif (UNIX)
    target_compile_definitions(${PROJECT_NAME} PUBLIC -DSOKOL_GLCORE33)
endif ()
